AgentServiceAsync (The Data Transfer Agent Library 1.1.1-SNAPSHOT API)
Date: 2012-11-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.library.proxies
Interface AgentServiceAsync

All Known Implementing Classes:
  AgentLibrary

    public interface AgentServiceAsync

Author:
  Andrea Manzi(CERN)

Method Summary
`Future<?>` | `startTransfer(ArrayList<URI> inputURIs, String outputFolder, TransferOptions options, org.gcube.common.clients.delegates.Callback callback)`
`Future<?>` | `startTransfer(org.gcube.data.trees.patterns.Pattern patternInput, String inputSourceID, String outputStorageId, org.gcube.common.clients.delegates.Callback callback)`

Method Detail

### startTransfer

    Future<?> startTransfer(org.gcube.data.trees.patterns.Pattern patternInput,
                            String inputSourceID,
                            String outputStorageId,
                            org.gcube.common.clients.delegates.Callback callback)

  Parameters:
    `patternInput` -
    `inputSourceID` -
    `outputStorageId` -
    `callback` -
  Returns:
  Throws:
    `TransferException`

### startTransfer

    Future<?> startTransfer(ArrayList<URI> inputURIs,
                            String outputFolder,
                            TransferOptions options,
                            org.gcube.common.clients.delegates.Callback callback)
                            throws ConfigurationException

  Parameters:
    `inputURIs` -
    `outputFolder` -
    `type` -
    `overwrite` -
    `callback` -
    `storageManagerDetails` -
  Returns:
  Throws:
    `ConfigurationException`
    `TransferException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.